CVE-2002-1649
CVSS4.3
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:31:09
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in read_body.php in SquirrelMail before 1.2.3 allows remote attackers to execute arbitrary Javascript via a javascript: URL in an IMG tag.


[CNNVD]SquirrelMail对恶意HTML格式邮件处理的漏洞(CNNVD-200212-284)

        
        SquirrelMail是一个用php4写的功能丰富的webmail程序。可以运行于Linux/Unix系统。
        在某些SquirrelMail版本中,如果HTML格式的邮件中包含恶意内容的代码,如插入JavaScript脚本,可以导致脚本代码被执行。也可能包含其他相关SquirrelMail脚本的引用,可能导致以认证用户的身份进行恶意行为操作。
        脚本compose.php在受影响用户发新邮件时存在此安全漏洞。
        

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1649
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1649
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-284
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/153043
(UNKNOWN)  CERT-VN  VU#153043
http://xforce.iss.net/xforce/xfdb/7989
(UNKNOWN)  XF  squirrelmail-html-execute-script(7989)
http://www.securityfocus.com/bid/3956
(UNKNOWN)  BID  3956
http://archives.neohapsis.com/archives/bugtraq/2002-01/0310.html
(UNKNOWN)  BUGTRAQ  20020124 Vulnerabilities in squirrelmail

- 漏洞信息

SquirrelMail对恶意HTML格式邮件处理的漏洞
中危 输入验证
2002-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        SquirrelMail是一个用php4写的功能丰富的webmail程序。可以运行于Linux/Unix系统。
        在某些SquirrelMail版本中,如果HTML格式的邮件中包含恶意内容的代码,如插入JavaScript脚本,可以导致脚本代码被执行。也可能包含其他相关SquirrelMail脚本的引用,可能导致以认证用户的身份进行恶意行为操作。
        脚本compose.php在受影响用户发新邮件时存在此安全漏洞。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时停止使用SquirrelMail。
        厂商补丁:
        SquirrelMail
        ------------
        目前厂商已经发布了1.2.3版本以修复这个安全问题,请到厂商的主页下载:
        
        http://www.squirrelmail.org

- 漏洞信息

18289
SquirrelMail read_body.php IMG Tag XSS
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Exploit Public Vendor Verified

- 漏洞描述

SquirrelMail contains a flaw that allows a remote cross-site scripting (XSS) attack. This flaw exists because the application does not validate the URL in an IMG tag for scripts upon submission to the read_body.php script. This may allow a user to create a specially crafted URL that would execute arbitrary script code in a user's browser within the trust relationship between their browser and the server.

- 时间线

2002-01-24 Unknow
2002-01-24 2002-01-24

- 解决方案

Upgrade to version 1.2.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站